# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_frame
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_frame"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Frame"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator =  'Suforyou'
		@ext.version = '4.2.1'
		@ext.description = Strings["Make Frames from Selected Edges or Faces."]
		Sketchup.register_extension @ext, true
	end
end
